For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManUnits

Get concession by ID

GET
/v1/concessions/:concession_id
GET
/v1/concessions/:concession_id
$curl https://api.propexo.com/v1/concessions/concession_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "sdPFT6040dA8y8lCPYd87tpdFtLASs",
17 "x_property_id": "ea387f8a-f93c-439f-80dd-29d6080c52cc",
18 "x_location_id": null,
19 "x_unit_id": "je387f8a-f93c-439f-80dd-29d6080c524e",
20 "x_floor_plan_id": "44069f6273ff0fea0900E2687251666b3ccadf8d1ccf582b30b34ae0d979d5b5",
21 "total_amount_in_cents": 100000,
22 "start_date": null,
23 "end_date": null,
24 "is_active": true,
25 "description": "Property Level Concession",
26 "is_one_time": null,
27 "is_recurring": null,
28 "monthly_fixed_amount_in_cents": null,
29 "monthly_percentage_amount": null,
30 "monthly_percentage_raw": null,
31 "one_time_fixed_amount_in_cents": null,
32 "one_time_percentage_amount": null,
33 "one_time_percentage_raw": null,
34 "number_of_occurrences": null,
35 "fixed_amount_in_cents": null,
36 "percentage_amount": null,
37 "percentage_raw": null,
38 "lease_term_in_months": 12,
39 "lease_term_raw": "12 months",
40 "concession_formula_raw": null,
41 "integration_id": "clwh5u07w000508me66sfh3um",
42 "integration_vendor": "RESMAN",
43 "property_id": "clwi5xiix000008l6ctdgafyh",
44 "unit_id": "testintegration:2:1:1",
45 "floor_plan_id": "testintegration:2:1:1"
46 }
47}
Get concession by ID
Was this page helpful?
Previous

Get all floor plans

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

concession_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error